curl --request POST \ --url https://api.linkup.so/v1/tasks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF[ { "input": { "depth": "deep", "excludeDomains": [ "wikipedia.org" ], "includeDomains": [ "microsoft.com", "agolution.com" ], "outputType": "sourcedAnswer", "q": "What is Microsoft's 2024 revenue?" }, "type": "search" }, { "input": { "extractImages": false, "includeRawContent": false, "renderJs": false, "url": "https://docs.linkup.so" }, "type": "fetch" }, { "input": { "outputType": "sourcedAnswer", "q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information." }, "type": "research" }]EOF
import requests
url = "https://api.linkup.so/v1/tasks"
payload = [
{
"input": {
"depth": "deep",
"excludeDomains": ["wikipedia.org"],
"includeDomains": ["microsoft.com", "agolution.com"],
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?"
},
"type": "search"
},
{
"input": {
"extractImages": False,
"includeRawContent": False,
"renderJs": False,
"url": "https://docs.linkup.so"
},
"type": "fetch"
},
{
"input": {
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
},
"type": "research"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
input: {
depth: 'deep',
excludeDomains: ['wikipedia.org'],
includeDomains: ['microsoft.com', 'agolution.com'],
outputType: 'sourcedAnswer',
q: 'What is Microsoft\'s 2024 revenue?'
},
type: 'search'
},
{
input: {
extractImages: false,
includeRawContent: false,
renderJs: false,
url: 'https://docs.linkup.so'
},
type: 'fetch'
},
{
input: {
outputType: 'sourcedAnswer',
q: 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
},
type: 'research'
}
])
};
fetch('https://api.linkup.so/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkup.so/v1/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'input' => [
'depth' => 'deep',
'excludeDomains' => [
'wikipedia.org'
],
'includeDomains' => [
'microsoft.com',
'agolution.com'
],
'outputType' => 'sourcedAnswer',
'q' => 'What is Microsoft\'s 2024 revenue?'
],
'type' => 'search'
],
[
'input' => [
'extractImages' => false,
'includeRawContent' => false,
'renderJs' => false,
'url' => 'https://docs.linkup.so'
],
'type' => 'fetch'
],
[
'input' => [
'outputType' => 'sourcedAnswer',
'q' => 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
],
'type' => 'research'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkup.so/v1/tasks"
payload := strings.NewReader("[\n {\n \"input\": {\n \"depth\": \"deep\",\n \"excludeDomains\": [\n \"wikipedia.org\"\n ],\n \"includeDomains\": [\n \"microsoft.com\",\n \"agolution.com\"\n ],\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"What is Microsoft's 2024 revenue?\"\n },\n \"type\": \"search\"\n },\n {\n \"input\": {\n \"extractImages\": false,\n \"includeRawContent\": false,\n \"renderJs\": false,\n \"url\": \"https://docs.linkup.so\"\n },\n \"type\": \"fetch\"\n },\n {\n \"input\": {\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n },\n \"type\": \"research\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.linkup.so/v1/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"input\": {\n \"depth\": \"deep\",\n \"excludeDomains\": [\n \"wikipedia.org\"\n ],\n \"includeDomains\": [\n \"microsoft.com\",\n \"agolution.com\"\n ],\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"What is Microsoft's 2024 revenue?\"\n },\n \"type\": \"search\"\n },\n {\n \"input\": {\n \"extractImages\": false,\n \"includeRawContent\": false,\n \"renderJs\": false,\n \"url\": \"https://docs.linkup.so\"\n },\n \"type\": \"fetch\"\n },\n {\n \"input\": {\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n },\n \"type\": \"research\"\n }\n]")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.linkup.so/v1/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"input\": {\n \"depth\": \"deep\",\n \"excludeDomains\": [\n \"wikipedia.org\"\n ],\n \"includeDomains\": [\n \"microsoft.com\",\n \"agolution.com\"\n ],\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"What is Microsoft's 2024 revenue?\"\n },\n \"type\": \"search\"\n },\n {\n \"input\": {\n \"extractImages\": false,\n \"includeRawContent\": false,\n \"renderJs\": false,\n \"url\": \"https://docs.linkup.so\"\n },\n \"type\": \"fetch\"\n },\n {\n \"input\": {\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n },\n \"type\": \"research\"\n }\n]"
response = http.request(request)
puts response.read_body
[ { "createdAt": "2026-01-01T00:00:00.000Z", "error": "<string>", "id": "01234-abcd-56789", "status": "completed", "updatedAt": "2026-01-01T00:00:00.000Z", "input": { "q": "What is Microsoft's 2024 revenue?", "toDate": "2025-01-01", "depth": "deep", "includeImages": false, "includeInlineCitations": false, "includeSources": false, "outputType": "searchResults", "excludeDomains": [ "wikipedia.org" ], "fromDate": "2025-01-01", "includeDomains": [ "microsoft.com", "agolution.com" ], "structuredOutputSchema": null, "maxResults": 5 }, "output": { "answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.", "sources": [ { "name": "Microsoft 2024 Annual Report", "snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.", "url": "https://www.microsoft.com/investor/reports/ar24/index.html" } ] }, "type": "search" }]
Tasks
/tasks
The /tasks endpoint allows you to run Linkup’s /search, /fetch, and /research calls in batch and asynchronously.
POST
/
v1
/
tasks
/tasks
curl --request POST \ --url https://api.linkup.so/v1/tasks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF[ { "input": { "depth": "deep", "excludeDomains": [ "wikipedia.org" ], "includeDomains": [ "microsoft.com", "agolution.com" ], "outputType": "sourcedAnswer", "q": "What is Microsoft's 2024 revenue?" }, "type": "search" }, { "input": { "extractImages": false, "includeRawContent": false, "renderJs": false, "url": "https://docs.linkup.so" }, "type": "fetch" }, { "input": { "outputType": "sourcedAnswer", "q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information." }, "type": "research" }]EOF
import requests
url = "https://api.linkup.so/v1/tasks"
payload = [
{
"input": {
"depth": "deep",
"excludeDomains": ["wikipedia.org"],
"includeDomains": ["microsoft.com", "agolution.com"],
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?"
},
"type": "search"
},
{
"input": {
"extractImages": False,
"includeRawContent": False,
"renderJs": False,
"url": "https://docs.linkup.so"
},
"type": "fetch"
},
{
"input": {
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
},
"type": "research"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
input: {
depth: 'deep',
excludeDomains: ['wikipedia.org'],
includeDomains: ['microsoft.com', 'agolution.com'],
outputType: 'sourcedAnswer',
q: 'What is Microsoft\'s 2024 revenue?'
},
type: 'search'
},
{
input: {
extractImages: false,
includeRawContent: false,
renderJs: false,
url: 'https://docs.linkup.so'
},
type: 'fetch'
},
{
input: {
outputType: 'sourcedAnswer',
q: 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
},
type: 'research'
}
])
};
fetch('https://api.linkup.so/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkup.so/v1/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'input' => [
'depth' => 'deep',
'excludeDomains' => [
'wikipedia.org'
],
'includeDomains' => [
'microsoft.com',
'agolution.com'
],
'outputType' => 'sourcedAnswer',
'q' => 'What is Microsoft\'s 2024 revenue?'
],
'type' => 'search'
],
[
'input' => [
'extractImages' => false,
'includeRawContent' => false,
'renderJs' => false,
'url' => 'https://docs.linkup.so'
],
'type' => 'fetch'
],
[
'input' => [
'outputType' => 'sourcedAnswer',
'q' => 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
],
'type' => 'research'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkup.so/v1/tasks"
payload := strings.NewReader("[\n {\n \"input\": {\n \"depth\": \"deep\",\n \"excludeDomains\": [\n \"wikipedia.org\"\n ],\n \"includeDomains\": [\n \"microsoft.com\",\n \"agolution.com\"\n ],\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"What is Microsoft's 2024 revenue?\"\n },\n \"type\": \"search\"\n },\n {\n \"input\": {\n \"extractImages\": false,\n \"includeRawContent\": false,\n \"renderJs\": false,\n \"url\": \"https://docs.linkup.so\"\n },\n \"type\": \"fetch\"\n },\n {\n \"input\": {\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n },\n \"type\": \"research\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.linkup.so/v1/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"input\": {\n \"depth\": \"deep\",\n \"excludeDomains\": [\n \"wikipedia.org\"\n ],\n \"includeDomains\": [\n \"microsoft.com\",\n \"agolution.com\"\n ],\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"What is Microsoft's 2024 revenue?\"\n },\n \"type\": \"search\"\n },\n {\n \"input\": {\n \"extractImages\": false,\n \"includeRawContent\": false,\n \"renderJs\": false,\n \"url\": \"https://docs.linkup.so\"\n },\n \"type\": \"fetch\"\n },\n {\n \"input\": {\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n },\n \"type\": \"research\"\n }\n]")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.linkup.so/v1/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"input\": {\n \"depth\": \"deep\",\n \"excludeDomains\": [\n \"wikipedia.org\"\n ],\n \"includeDomains\": [\n \"microsoft.com\",\n \"agolution.com\"\n ],\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"What is Microsoft's 2024 revenue?\"\n },\n \"type\": \"search\"\n },\n {\n \"input\": {\n \"extractImages\": false,\n \"includeRawContent\": false,\n \"renderJs\": false,\n \"url\": \"https://docs.linkup.so\"\n },\n \"type\": \"fetch\"\n },\n {\n \"input\": {\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n },\n \"type\": \"research\"\n }\n]"
response = http.request(request)
puts response.read_body
[ { "createdAt": "2026-01-01T00:00:00.000Z", "error": "<string>", "id": "01234-abcd-56789", "status": "completed", "updatedAt": "2026-01-01T00:00:00.000Z", "input": { "q": "What is Microsoft's 2024 revenue?", "toDate": "2025-01-01", "depth": "deep", "includeImages": false, "includeInlineCitations": false, "includeSources": false, "outputType": "searchResults", "excludeDomains": [ "wikipedia.org" ], "fromDate": "2025-01-01", "includeDomains": [ "microsoft.com", "agolution.com" ], "structuredOutputSchema": null, "maxResults": 5 }, "output": { "answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.", "sources": [ { "name": "Microsoft 2024 Annual Report", "snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.", "url": "https://www.microsoft.com/investor/reports/ar24/index.html" } ] }, "type": "search" }]
Get your API key
Create a Linkup account for free to get your API key.
This is an asynchronous endpoint. It immediately returns the tasks’ identifiers,
before they complete. Use
GET /v1/tasks/:id to poll for
a specific task, or GET /v1/tasks
to list all your tasks.
For batch sizing, polling strategies, and example workloads,
see the Tasks overview.
[ { "input": { "depth": "deep", "excludeDomains": ["wikipedia.org"], "includeDomains": ["microsoft.com", "agolution.com"], "outputType": "sourcedAnswer", "q": "What is Microsoft's 2024 revenue?" }, "type": "search" }, { "input": { "extractImages": false, "includeRawContent": false, "renderJs": false, "url": "https://docs.linkup.so" }, "type": "fetch" }, { "input": { "outputType": "sourcedAnswer", "q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information." }, "type": "research" } ]
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Linkup API Documentation","colors":{"primary":"#7CA994","light":"#7CA994","dark":"#5A8775"},"logo":{"light":"https://mintcdn.com/linkup-8b5c238e/AkUGxnLjaK43_4me/images/logo-light.svg?fit=max\u0026auto=format\u0026n=AkUGxnLjaK43_4me\u0026q=85\u0026s=0b621209cc9c7f0ef128ed035d2f49ef","dark":"https://mintcdn.com/linkup-8b5c238e/AkUGxnLjaK43_4me/images/logo-dark.svg?fit=max\u0026auto=format\u0026n=AkUGxnLjaK43_4me\u0026q=85\u0026s=d35afb53cf34ffdb1898a554cf62bf12","href":"https://www.linkup.so"},"favicon":"https://mintcdn.com/linkup-8b5c238e/pFIvLXL9Ieth-56w/favicon.svg?fit=max\u0026auto=format\u0026n=pFIvLXL9Ieth-56w\u0026q=85\u0026s=f5d68ce9b01b592e75a55c1bac5ce00b","background":{"decoration":"grid","color":{"light":"#F8F8F8","dark":"#1F2229"}},"navbar":{"links":[{"href":"mailto:support@linkup.so","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://app.linkup.so/sign-up"}},"footer":{"socials":{"x":"https://x.com/Linkup_platform","linkedin":"https://linkedin.com/company/linkup-platform","github":"https://github.com/LinkupPlatform","discord":"https://discord.com/invite/9q9mCYJa86"}},"fonts":{"heading":{"family":"Season Mix","weight":400,"format":"woff2"},"body":{"family":"Season Sans","weight":400,"format":"woff2"}},"styling":{"eyebrows":"section","codeblocks":"system","latex":false},"integrations":{"posthog":{"apiKey":"phc_G12RVoh7ixTNvP3JDk90HfPTi34sZ1YmTbdZm2aJPtL","apiHost":"https://eu.i.posthog.com"}},"banner":{"content":"Linkup Flash (Alpha) is live — web evidence in under 200 ms. [Try it →](/pages/documentation/endpoints/search/overview)","dismissible":true},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"For agents","icon":"robot","href":"/pages/documentation/get-started/for-agents"},{"anchor":"Playground","icon":"play","href":"https://app.linkup.so/playground"},{"anchor":"Discord","icon":"discord","href":"https://discord.com/invite/9q9mCYJa86"},{"anchor":"Talk to us","icon":"calendar","href":"https://calendar.app.google/zNUZz7RxgMMk9pKW7"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"linkup-8b5c238e","hasAudioNarration":false,"actualSubdomain":"linkup-8b5c238e","customDomains":["docs.linkup.so"],"gitSource":{"type":"github","owner":"linkupplatform","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af586ae6d281f8985bb539d","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"Documentation","count":37},{"language":"default","tag":"Changelog","count":32},{"language":"default","tag":"Integrations","count":32},{"language":"default","tag":"Endpoints","count":15},{"language":"default","tag":"API Reference","count":12},{"language":"default","tag":"Agentic Frameworks","count":11},{"language":"default","tag":"Security and Privacy","count":10},{"language":"default","tag":"Workflow Automation","count":9},{"language":"default","tag":"Tutorials","count":7},{"language":"default","tag":"Extract (closed beta)","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"a[href=\"https://app.linkup.so/sign-up\"],a[href*=\"app.linkup.so/sign-up\"],a[href$=\"/sign-up\"]{border-radius:0!important}sidebar-group-header,#sidebar-content h5{font-weight:700!important}#sidebar-content sidebar-group sidebar-group ul,#sidebar-content sidebar-group sidebar-group ol,#sidebar-content sidebar-group sidebar-group .pages,#sidebar-content sidebar-group sidebar-group [class*=\"space-y\"]{border-left:1px solid rgba(124, 169, 148, 0.25)}@media (prefers-color-scheme: dark){#sidebar-content sidebar-group sidebar-group ul,#sidebar-content sidebar-group sidebar-group ol,#sidebar-content sidebar-group sidebar-group .pages,#sidebar-content sidebar-group sidebar-group [class*=\"space-y\"]{border-left-color:rgba(255, 255, 255, 0.12)}}#sidebar-content sidebar-group sidebar-group li[data-active]>a,#sidebar-content sidebar-group sidebar-group [data-active]{box-shadow:inset 2px 0 0 0 #7CA994}@media (prefers-color-scheme: dark){#sidebar-content sidebar-group sidebar-group li[data-active]>a,#sidebar-content sidebar-group sidebar-group [data-active]{box-shadow:inset 2px 0 0 0 #5A8775}}.nav-tabs-item,nav-tabs-item,nav-tabs [role=\"tab\"],#navbar [role=\"tab\"]{font-weight:500!important}.eyebrow{font-weight:700!important}:not(pre)>code{background-color:rgba(16, 24, 40, 0.06)!important;color:#101828!important;border:1px solid rgba(16, 24, 40, 0.10)!important;padding:0.2em 0.1em!important;border-radius:4px!important;font-size:0.81em!important}html.dark :not(pre)>code,.dark :not(pre)>code{background-color:rgba(255, 255, 255, 0.08)!important;color:#E8F0EB!important;border-color:rgba(255, 255, 255, 0.12)!important}@media (prefers-color-scheme: dark){html:not(.light) :not(pre)>code{background-color:rgba(255, 255, 255, 0.08)!important;color:#E8F0EB!important;border-color:rgba(255, 255, 255, 0.12)!important}}.linkup-prompt{border-radius:10px}.linkup-prompt>.prompt{background-color:rgba(124, 169, 148, 0.10)!important;border-color:rgba(124, 169, 148, 0.40)!important}html.dark .linkup-prompt>.prompt,.dark .linkup-prompt>.prompt{background-color:rgba(124, 169, 148, 0.12)!important;border-color:rgba(124, 169, 148, 0.35)!important}@media (prefers-color-scheme: dark){html:not(.light) .linkup-prompt>.prompt{background-color:rgba(124, 169, 148, 0.12)!important;border-color:rgba(124, 169, 148, 0.35)!important}}.linkup-prompt p,.linkup-prompt>div>div>:is(p,span,div){color:#101828!important}html.dark .linkup-prompt p,html.dark .linkup-prompt>div>div>:is(p,span,div),.dark .linkup-prompt p,.dark .linkup-prompt>div>div>:is(p,span,div){color:#E8F0EB!important}@media (prefers-color-scheme: dark){html:not(.light) .linkup-prompt p,html:not(.light) .linkup-prompt>div>div>:is(p,span,div){color:#E8F0EB!important}}chat-assistant-floating-input{display:none!important}strong,b,th,.font-bold,.font-semibold,.font-medium{font-synthesis:weight style!important;-webkit-font-synthesis:weight style!important}"}],"page":{"pagePath":"pages/documentation/endpoints/tasks/post","slug":"/pages/documentation/endpoints/tasks/post","pageMetadata":{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/tasks","description":"The `/tasks` endpoint allows you to run Linkup's `/search`, `/fetch`, and `/research` calls in batch and asynchronously.","title":"/tasks","href":"/pages/documentation/endpoints/tasks/post"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"/tasks\"\n }), \" endpoint allows you to run Linkup’s \", _jsx(_components.code, {\n children: \"/search\"\n }), \", \", _jsx(_components.code, {\n children: \"/fetch\"\n }), \", and \", _jsx(_components.code, {\n children: \"/research\"\n }), \" calls in batch and asynchronously.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Card,Note}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(Card,{title:`Get your API key`,icon:`key`,href:`https://app.linkup.so`,horizontal:`True`,children:_jsx(_components.p,{children:`Create a Linkup account for free to get your API key.`})}),`\n`,_jsxs(Note,{children:[`This is an `,_jsx(_components.strong,{children:`asynchronous`}),` endpoint. It immediately returns the tasks’ identifiers,\nbefore they complete. Use\n`,_jsx(_components.a,{href:`/pages/documentation/endpoints/tasks/get`,children:_jsx(_components.code,{children:`GET /v1/tasks/:id`})}),` to poll for\na specific task, or `,_jsx(_components.a,{href:`/pages/documentation/endpoints/tasks/list`,children:_jsx(_components.code,{children:`GET /v1/tasks`})}),`\nto list all your tasks.`]}),`\n`,_jsxs(_components.p,{children:[`For batch sizing, polling strategies, and example workloads,\nsee the `,_jsx(_components.a,{href:`/pages/documentation/endpoints/tasks/overview`,children:`Tasks overview`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/tasks","description":"The `/tasks` endpoint allows you to run Linkup's `/search`, `/fetch`, and `/research` calls in batch and asynchronously.","title":"/tasks","href":"/pages/documentation/endpoints/tasks/post"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/linkup-8b5c238e/35ab7ea35ac4390b/preserve-sidebar-scroll.js"],"openApiReferenceData":{"operation":{"description":"The `/tasks` endpoint allows you to run Linkup's `/search`, `/fetch`, and `/research` calls in batch and asynchronously.","operationId":"createTasks","parameters":[],"requestBody":"1bf49b9e-b3e3-4982-8c05-2ee639ee70c5","responses":{"200":"573194ff-393a-4deb-8412-db9579f446f8","400":"cd19253d-a707-4d4e-a556-32556afc06d4","401":"1339491c-71f7-4b59-bdcd-13f72622e5c3","429":"2215527b-db40-4d17-9edb-167b4312ff51"},"security":["3130ac06-1857-4ed4-a9cd-0d6b093c3a64"],"summary":"/tasks","tags":["Tasks"],"method":"post","type":"path","servers":["190f1c10-3447-450f-b531-eb421a2db0b8"],"path":"/v1/tasks","baseUrlOptions":["https://api.linkup.so"],"title":"/tasks","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"minItems":1,"maxItems":100,"type":"array","items":{"oneOf":[{"type":"object","required":["input","type"],"properties":{"input":{"type":"object","properties":{"q":{"description":"The natural language question for which you want to retrieve context.","example":"What is Microsoft's 2024 revenue?","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.q","typeLabel":"string"},"depth":{"type":"string","enum":["deep","fast","flash","standard"],"description":"Defines the search mode. `flash` is lowest latency: ranked sources and snippets in a few hundred milliseconds, built for low-latency use cases. `fast` is higher-quality one-shot retrieval in about a second — the recommended default for most agentic applications. `standard` is a single pass of agentic search for queries that span several topics or sources. `deep` runs several search iterations, optimizing for coverage and multi-hop agentic workflows.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.depth","typeLabel":"enum\u003cstring>"},"outputType":{"type":"string","enum":["searchResults","sourcedAnswer","structured"],"description":"The type of output you want to get. Use `structured` for a custom-formatted response defined by `structuredOutputSchema`.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.outputType","typeLabel":"enum\u003cstring>"},"excludeDomains":{"description":"The domains you want to exclude of the search. By default, don't restrict the search.","example":["wikipedia.org"],"type":"array","items":{"example":"wikipedia.org","type":"string","uniqueKey":"items.[INDEX].oneOf.0.input.excludeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.0.input.excludeDomains","typeLabel":"string[]"},"fromDate":{"oneOf":[{"type":"string","description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.0.input.fromDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.0.input.fromDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].oneOf.0.input.fromDate","typeLabel":"string | null"},"includeDomains":{"description":"The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.","example":["microsoft.com","agolution.com"],"maxItems":100,"type":"array","items":{"example":"microsoft.com","type":"string","uniqueKey":"items.[INDEX].oneOf.0.input.includeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.0.input.includeDomains","typeLabel":"string[]"},"structuredOutputSchema":{"default":null,"format":"json","description":"Required only when `outputType` is `structured`. Provide a JSON schema (as a string) representing the desired response format. The root must be of type `object`.","type":"string","uniqueKey":"items.[INDEX].oneOf.0.input.structuredOutputSchema","typeLabel":"string\u003cjson>"},"toDate":{"oneOf":[{"type":"string","description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.0.input.toDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.0.input.toDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].oneOf.0.input.toDate","typeLabel":"string | null"},"includeImages":{"oneOf":[{"type":"boolean","description":"Defines whether the API should include images in its results.","default":false,"uniqueKey":"items.[INDEX].oneOf.0.input.includeImages.oneOf.0","typeLabel":"boolean"},{"type":"string","description":"Defines whether the API should include images in its results.","default":false,"uniqueKey":"items.[INDEX].oneOf.0.input.includeImages.oneOf.1","typeLabel":"string"}],"uniqueKey":"items.[INDEX].oneOf.0.input.includeImages","typeLabel":"boolean | string"},"includeInlineCitations":{"oneOf":[{"type":"boolean","description":"Relevant only when `outputType` is `sourcedAnswer`. Defines whether the answer should include inline citations.","default":false,"uniqueKey":"items.[INDEX].oneOf.0.input.includeInlineCitations.oneOf.0","typeLabel":"boolean"},{"type":"string","description":"Relevant only when `outputType` is `sourcedAnswer`. Defines whether the answer should include inline citations.","default":false,"uniqueKey":"items.[INDEX].oneOf.0.input.includeInlineCitations.oneOf.1","typeLabel":"string"}],"uniqueKey":"items.[INDEX].oneOf.0.input.includeInlineCitations","typeLabel":"boolean | string"},"includeSources":{"oneOf":[{"type":"boolean","description":"Relevant only when `outputType` is `structured`. Defines whether the response should include sources. **Please note that it modifies the schema of the response, see below**","default":false,"uniqueKey":"items.[INDEX].oneOf.0.input.includeSources.oneOf.0","typeLabel":"boolean"},{"type":"string","description":"Relevant only when `outputType` is `structured`. Defines whether the response should include sources. **Please note that it modifies the schema of the response, see below**","default":false,"uniqueKey":"items.[INDEX].oneOf.0.input.includeSources.oneOf.1","typeLabel":"string"}],"uniqueKey":"items.[INDEX].oneOf.0.input.includeSources","typeLabel":"boolean | string"},"maxResults":{"description":"The maximum number of results to return. The number of results will always be ≤ to maxResults.","example":5,"type":"number","minimum":1,"uniqueKey":"items.[INDEX].oneOf.0.input.maxResults","typeLabel":"number"}},"required":["q","depth","outputType"],"id":"SearchTaskInput","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input","typeLabel":"object"},"type":{"type":"string","const":"search","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.type","typeLabel":"string"}},"uniqueKey":"items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["input","type"],"properties":{"input":{"type":"object","properties":{"url":{"description":"The URL of the webpage you want to fetch.","example":"https://docs.linkup.so","format":"uri","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input.url","typeLabel":"string\u003curi>"},"extractImages":{"oneOf":[{"type":"boolean","description":"Defines whether the API should extract the images from the webpage in its response.","default":false,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.extractImages.oneOf.0","typeLabel":"boolean"},{"type":"string","description":"Defines whether the API should extract the images from the webpage in its response.","default":false,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.extractImages.oneOf.1","typeLabel":"string"}],"uniqueKey":"items.[INDEX].oneOf.1.input.extractImages","typeLabel":"boolean | string"},"includeRawContent":{"oneOf":[{"type":"boolean","description":"Defines whether the API should include the raw page content and its content type in the response.","default":false,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawContent.oneOf.0","typeLabel":"boolean"},{"type":"string","description":"Defines whether the API should include the raw page content and its content type in the response.","default":false,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawContent.oneOf.1","typeLabel":"string"}],"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawContent","typeLabel":"boolean | string"},"includeRawHtml":{"oneOf":[{"type":"boolean","description":"Deprecated. Use includeRawContent instead. Defines whether rawHtml is returned for non-LinkedIn HTML pages.","default":false,"deprecated":true,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawHtml.oneOf.0","typeLabel":"boolean"},{"type":"string","description":"Deprecated. Use includeRawContent instead. Defines whether rawHtml is returned for non-LinkedIn HTML pages.","default":false,"deprecated":true,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawHtml.oneOf.1","typeLabel":"string"}],"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawHtml","typeLabel":"boolean | string"},"renderJs":{"oneOf":[{"type":"boolean","description":"Defines whether the API should render the JavaScript of the webpage.","default":false,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.renderJs.oneOf.0","typeLabel":"boolean"},{"type":"string","description":"Defines whether the API should render the JavaScript of the webpage.","default":false,"example":false,"uniqueKey":"items.[INDEX].oneOf.1.input.renderJs.oneOf.1","typeLabel":"string"}],"uniqueKey":"items.[INDEX].oneOf.1.input.renderJs","typeLabel":"boolean | string"},"mode":{"default":"standard","description":"Defines the fetch strategy. Pro fetch delivers significantly higher success rates on hard-to-retrieve pages.","example":"standard","type":"string","enum":["standard","pro"],"uniqueKey":"items.[INDEX].oneOf.1.input.mode","typeLabel":"enum\u003cstring>"},"instructions":{"description":"Optional instructions that guide how data is extracted. Requires schema.","example":"Use public list prices only and express monetary values in USD.","type":"string","uniqueKey":"items.[INDEX].oneOf.1.input.instructions","typeLabel":"string"},"schema":{"default":null,"format":"json","description":"Optional JSON Schema of type object describing the structured data to extract from the page. Fields with no grounded value are omitted, even when marked as required.","type":"string","uniqueKey":"items.[INDEX].oneOf.1.input.schema","typeLabel":"string\u003cjson>"}},"required":["url"],"id":"FetchTaskInput","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input","typeLabel":"object"},"type":{"type":"string","const":"fetch","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.type","typeLabel":"string"}},"uniqueKey":"items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["input","type"],"properties":{"input":{"type":"object","properties":{"q":{"description":"The natural language question for which you want to retrieve context.","example":"What is Microsoft's 2024 revenue?","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input.q","typeLabel":"string"},"outputType":{"type":"string","enum":["sourcedAnswer","structured"],"description":"The type of output you want to get. Use `structured` for a custom-formatted response defined by `structuredOutputSchema`.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input.outputType","typeLabel":"enum\u003cstring>"},"excludeDomains":{"description":"The domains you want to exclude of the search. By default, don't restrict the search.","example":["wikipedia.org"],"type":"array","items":{"example":"wikipedia.org","type":"string","uniqueKey":"items.[INDEX].oneOf.2.input.excludeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.2.input.excludeDomains","typeLabel":"string[]"},"fromDate":{"oneOf":[{"type":"string","description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.2.input.fromDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.2.input.fromDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].oneOf.2.input.fromDate","typeLabel":"string | null"},"includeDomains":{"description":"The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.","example":["microsoft.com","agolution.com"],"maxItems":100,"type":"array","items":{"example":"microsoft.com","type":"string","uniqueKey":"items.[INDEX].oneOf.2.input.includeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.2.input.includeDomains","typeLabel":"string[]"},"structuredOutputSchema":{"default":null,"format":"json","description":"Required only when `outputType` is `structured`. Provide a JSON schema (as a string) representing the desired response format. The root must be of type `object`.","type":"string","uniqueKey":"items.[INDEX].oneOf.2.input.structuredOutputSchema","typeLabel":"string\u003cjson>"},"toDate":{"oneOf":[{"type":"string","description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.2.input.toDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","uniqueKey":"items.[INDEX].oneOf.2.input.toDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].oneOf.2.input.toDate","typeLabel":"string | null"},"mode":{"default":"auto","description":"Pin the research agent mode. Omit to let the agent auto-classify per request based on the question.","enum":["answer","auto","investigate","research"],"type":"string","uniqueKey":"items.[INDEX].oneOf.2.input.mode","typeLabel":"enum\u003cstring>"},"reasoningDepth":{"default":"L","description":"Pin the reasoning depth (S \u003c M \u003c L \u003c XL). Defaults to L when omitted. Higher depths trade latency for thoroughness.","enum":["L","M","S","XL"],"type":"string","uniqueKey":"items.[INDEX].oneOf.2.input.reasoningDepth","typeLabel":"enum\u003cstring>"}},"required":["q","outputType"],"id":"ResearchTaskInput","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input","typeLabel":"object"},"type":{"type":"string","const":"research","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.type","typeLabel":"string"}},"uniqueKey":"items.[INDEX].oneOf.2","typeLabel":"object"},{"type":"object","required":["input","type"],"properties":{"input":{"type":"object","properties":{"q":{"description":"[BETA] The natural-language query describing which rows to extract and what each row should contain.","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.input.q","typeLabel":"string"},"url":{"description":"[BETA] The seed URL the extract task should start from.","example":"https://example.com/team","format":"uri","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.input.url","typeLabel":"string\u003curi>"},"schema":{"default":null,"format":"json","description":"[BETA] Optional JSON schema describing a single extracted row. When provided, every returned row must match this schema.","type":"string","uniqueKey":"items.[INDEX].oneOf.3.input.schema","typeLabel":"string\u003cjson>"},"verifyUrls":{"default":false,"description":"[BETA] Defines whether URLs found in extracted rows should be checked for reachability after extraction. Defaults to false.","type":"boolean","uniqueKey":"items.[INDEX].oneOf.3.input.verifyUrls","typeLabel":"boolean"}},"required":["q","url"],"description":"[BETA] Input for an extract task. The extract task type is in beta; its behavior and response shape may change.","id":"ExtractTaskInput","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.input","typeLabel":"object"},"type":{"type":"string","const":"extract","description":"[BETA] Extract task type. This feature is in beta.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.type","typeLabel":"string"}},"uniqueKey":"items.[INDEX].oneOf.3","typeLabel":"object"}],"uniqueKey":"items.[INDEX]","typeLabel":"object"},"example":[{"input":{"depth":"deep","excludeDomains":["wikipedia.org"],"includeDomains":["microsoft.com","agolution.com"],"outputType":"sourcedAnswer","q":"What is Microsoft's 2024 revenue?"},"type":"search"},{"input":{"extractImages":false,"includeRawContent":false,"renderJs":false,"url":"https://docs.linkup.so"},"type":"fetch"},{"input":{"outputType":"sourcedAnswer","q":"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."},"type":"research"}],"id":"TasksInput","uniqueKey":"","typeLabel":"object[]"},"examples":{"Example":{"title":"Example","value":[{"input":{"depth":"deep","excludeDomains":["wikipedia.org"],"includeDomains":["microsoft.com","agolution.com"],"outputType":"sourcedAnswer","q":"What is Microsoft's 2024 revenue?"},"type":"search"},{"input":{"extractImages":false,"includeRawContent":false,"renderJs":false,"url":"https://docs.linkup.so"},"type":"fetch"},{"input":{"outputType":"sourcedAnswer","q":"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."},"type":"research"}]}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"573194ff-393a-4deb-8412-db9579f446f8":{"description":"Tasks created successfully.","content":{"application/json":{"schema":{"type":"array","items":{"oneOf":[{"type":"object","required":["createdAt","error","id","status","updatedAt","input","output","type"],"properties":{"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task was created.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.createdAt","typeLabel":"string\u003cdate-time>"},"error":{"oneOf":[{"type":"string","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.error.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.error","typeLabel":"string | null"},"id":{"type":"string","description":"The unique identifier of the task.","example":"01234-abcd-56789","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.id","typeLabel":"string"},"status":{"type":"string","enum":["completed","failed","pending","processing"],"description":"The current status of the task.","example":"completed","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.status","typeLabel":"enum\u003cstring>"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task status was last updated.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.updatedAt","typeLabel":"string\u003cdate-time>"},"input":{"type":"object","properties":{"q":{"description":"The natural language question for which you want to retrieve context.","example":"What is Microsoft's 2024 revenue?","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.q","typeLabel":"string"},"toDate":{"description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.toDate","typeLabel":"string\u003cdate>"},"depth":{"type":"string","enum":["deep","fast","flash","standard"],"description":"Defines the search mode. `flash` is lowest latency: ranked sources and snippets in a few hundred milliseconds, built for low-latency use cases. `fast` is higher-quality one-shot retrieval in about a second — the recommended default for most agentic applications. `standard` is a single pass of agentic search for queries that span several topics or sources. `deep` runs several search iterations, optimizing for coverage and multi-hop agentic workflows.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.depth","typeLabel":"enum\u003cstring>"},"includeImages":{"default":false,"description":"Defines whether the API should include images in its results.","type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.includeImages","typeLabel":"boolean"},"includeInlineCitations":{"default":false,"description":"Relevant only when `outputType` is `sourcedAnswer`. Defines whether the answer should include inline citations.","type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.includeInlineCitations","typeLabel":"boolean"},"includeSources":{"default":false,"description":"Relevant only when `outputType` is `structured`. Defines whether the response should include sources. **Please note that it modifies the schema of the response, see below**","type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.includeSources","typeLabel":"boolean"},"outputType":{"type":"string","enum":["searchResults","sourcedAnswer","structured"],"description":"The type of output you want to get. Use `structured` for a custom-formatted response defined by `structuredOutputSchema`.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input.outputType","typeLabel":"enum\u003cstring>"},"excludeDomains":{"description":"The domains you want to exclude of the search. By default, don't restrict the search.","example":["wikipedia.org"],"type":"array","items":{"example":"wikipedia.org","type":"string","uniqueKey":"items.[INDEX].oneOf.0.input.excludeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.0.input.excludeDomains","typeLabel":"string[]"},"fromDate":{"description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"items.[INDEX].oneOf.0.input.fromDate","typeLabel":"string\u003cdate>"},"includeDomains":{"description":"The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.","example":["microsoft.com","agolution.com"],"maxItems":100,"type":"array","items":{"example":"microsoft.com","type":"string","uniqueKey":"items.[INDEX].oneOf.0.input.includeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.0.input.includeDomains","typeLabel":"string[]"},"structuredOutputSchema":{"default":null,"format":"json","description":"Required only when `outputType` is `structured`. Provide a JSON schema object representing the desired response format. The root must be of type `object`.","type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"items.[INDEX].oneOf.0.input.structuredOutputSchema.additionalProperties","typeLabel":"any"},"uniqueKey":"items.[INDEX].oneOf.0.input.structuredOutputSchema","typeLabel":"object"},"maxResults":{"description":"The maximum number of results to return. The number of results will always be ≤ to maxResults.","example":5,"type":"number","minimum":1,"uniqueKey":"items.[INDEX].oneOf.0.input.maxResults","typeLabel":"number"}},"required":["q","toDate","depth","includeImages","includeInlineCitations","includeSources","outputType"],"additionalProperties":false,"id":"SearchTaskInput_Output","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.input","typeLabel":"object"},"output":{"oneOf":[{"type":"object","required":["answer","sources"],"properties":{"answer":{"type":"string","description":"The answer to your question.","example":"Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.answer","typeLabel":"string"},"sources":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The title or name of the resource.","example":"Microsoft 2024 Annual Report","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX].name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the resource.","example":"https://www.microsoft.com/investor/reports/ar24/index.html","format":"uri","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX].url","typeLabel":"string\u003curi>"},"favicon":{"oneOf":[{"type":"string","description":"The favicon URL, if available.","format":"uri","const":"","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX].favicon.oneOf.0","typeLabel":"string\u003curi>"},{"type":"string","description":"The favicon URL, if available.","format":"uri","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX].favicon.oneOf.1","typeLabel":"string\u003curi>"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX].favicon","typeLabel":"string\u003curi>"},"snippet":{"type":"string","description":"Extracted text content associated with the source.","example":"Highlights from fiscal year 2024 compared with fiscal year 2023 included...","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX].snippet","typeLabel":"string"},"publishedAt":{"description":"The publication date of the resource, if available.","example":"2024-07-30","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX].publishedAt","typeLabel":"string\u003cdate>"}},"required":["name","url","favicon","snippet"],"additionalProperties":false,"id":"Source_Output","uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources.items.[INDEX]","typeLabel":"object"},"description":"List of sources used to answer the question.","example":[{"name":"Microsoft 2024 Annual Report","snippet":"Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.","url":"https://www.microsoft.com/investor/reports/ar24/index.html"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0.sources","typeLabel":"object[]"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.0","typeLabel":"object"},{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"oneOf":[{"type":"object","required":["name","url","content","favicon","type"],"properties":{"name":{"type":"string","description":"The title or name of the resource.","example":"Microsoft 2024 Annual Report","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the resource.","example":"https://www.microsoft.com/investor/reports/ar24/index.html","format":"uri","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.url","typeLabel":"string\u003curi>"},"content":{"type":"string","description":"Extracted text content associated with the resource.","example":"Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.content","typeLabel":"string"},"favicon":{"oneOf":[{"type":"string","description":"The favicon URL, if available.","format":"uri","const":"","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.favicon.oneOf.0","typeLabel":"string\u003curi>"},{"type":"string","description":"The favicon URL, if available.","format":"uri","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.favicon.oneOf.1","typeLabel":"string\u003curi>"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.favicon","typeLabel":"string\u003curi>"},"type":{"type":"string","const":"text","description":"The type of the resource.","enum":["text"],"example":"text","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"publishedAt":{"description":"The publication date of the resource, if available.","example":"2024-07-30","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0.publishedAt","typeLabel":"string\u003cdate>"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["name","url","type"],"properties":{"name":{"type":"string","description":"The title or name of the resource.","example":"Microsoft 2024 Annual Report","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.1.name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the resource.","example":"https://www.microsoft.com/investor/reports/ar24/index.html","format":"uri","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.1.url","typeLabel":"string\u003curi>"},"type":{"type":"string","const":"image","description":"The type of the resource.","enum":["image"],"example":"image","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX].oneOf.1","typeLabel":"object"}],"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results.items.[INDEX]","typeLabel":"object"},"description":"List of search results.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1.results","typeLabel":"object[]"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.1","typeLabel":"object"},{"type":"object","required":["data","sources"],"properties":{"data":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":true,"description":"The object corresponding to the JSON schema you used in the `structuredOutputSchema` param.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.data","typeLabel":"object"},"sources":{"type":"array","items":{"oneOf":[{"type":"object","required":["name","url","content","favicon","type"],"properties":{"name":{"type":"string","description":"The title or name of the resource.","example":"Microsoft 2024 Annual Report","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the resource.","example":"https://www.microsoft.com/investor/reports/ar24/index.html","format":"uri","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.url","typeLabel":"string\u003curi>"},"content":{"type":"string","description":"Extracted text content associated with the resource.","example":"Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.content","typeLabel":"string"},"favicon":{"oneOf":[{"type":"string","description":"The favicon URL, if available.","format":"uri","const":"","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.favicon.oneOf.0","typeLabel":"string\u003curi>"},{"type":"string","description":"The favicon URL, if available.","format":"uri","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.favicon.oneOf.1","typeLabel":"string\u003curi>"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.favicon","typeLabel":"string\u003curi>"},"type":{"type":"string","const":"text","description":"The type of the resource.","enum":["text"],"example":"text","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"publishedAt":{"description":"The publication date of the resource, if available.","example":"2024-07-30","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0.publishedAt","typeLabel":"string\u003cdate>"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["name","url","type"],"properties":{"name":{"type":"string","description":"The title or name of the resource.","example":"Microsoft 2024 Annual Report","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.1.name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the resource.","example":"https://www.microsoft.com/investor/reports/ar24/index.html","format":"uri","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.1.url","typeLabel":"string\u003curi>"},"type":{"type":"string","const":"image","description":"The type of the resource.","enum":["image"],"example":"image","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX].oneOf.1","typeLabel":"object"}],"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources.items.[INDEX]","typeLabel":"object"},"description":"List of sources used to answer the question.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2.sources","typeLabel":"object[]"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.2","typeLabel":"object"},{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.3.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.3","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output.oneOf.4","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.output","typeLabel":"object · object · object · object · null"},"type":{"type":"string","const":"search","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.0.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["createdAt","error","id","status","updatedAt","input","output","type"],"properties":{"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task was created.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.createdAt","typeLabel":"string\u003cdate-time>"},"error":{"oneOf":[{"type":"string","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.error.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.error","typeLabel":"string | null"},"id":{"type":"string","description":"The unique identifier of the task.","example":"01234-abcd-56789","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.id","typeLabel":"string"},"status":{"type":"string","enum":["completed","failed","pending","processing"],"description":"The current status of the task.","example":"completed","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.status","typeLabel":"enum\u003cstring>"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task status was last updated.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.updatedAt","typeLabel":"string\u003cdate-time>"},"input":{"type":"object","properties":{"extractImages":{"default":false,"description":"Defines whether the API should extract the images from the webpage in its response.","example":false,"type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input.extractImages","typeLabel":"boolean"},"includeRawContent":{"default":false,"description":"Defines whether the API should include the raw page content and its content type in the response.","example":false,"type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawContent","typeLabel":"boolean"},"includeRawHtml":{"default":false,"deprecated":true,"description":"Deprecated. Use includeRawContent instead. Defines whether rawHtml is returned for non-LinkedIn HTML pages.","example":false,"type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input.includeRawHtml","typeLabel":"boolean"},"renderJs":{"default":false,"description":"Defines whether the API should render the JavaScript of the webpage.","example":false,"type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input.renderJs","typeLabel":"boolean"},"mode":{"default":"standard","description":"Defines the fetch strategy. Pro fetch delivers significantly higher success rates on hard-to-retrieve pages.","example":"standard","type":"string","enum":["standard","pro"],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input.mode","typeLabel":"enum\u003cstring>"},"url":{"description":"The URL of the webpage you want to fetch.","example":"https://docs.linkup.so","format":"uri","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input.url","typeLabel":"string\u003curi>"},"instructions":{"description":"Optional instructions that guide how data is extracted. Requires schema.","example":"Use public list prices only and express monetary values in USD.","type":"string","maxLength":4000,"uniqueKey":"items.[INDEX].oneOf.1.input.instructions","typeLabel":"string"},"schema":{"default":null,"format":"json","description":"Optional JSON Schema object describing the structured data to extract from the page.","type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"items.[INDEX].oneOf.1.input.schema.additionalProperties","typeLabel":"any"},"uniqueKey":"items.[INDEX].oneOf.1.input.schema","typeLabel":"object"}},"required":["extractImages","includeRawContent","includeRawHtml","renderJs","mode","url"],"additionalProperties":false,"id":"FetchTaskInput_Output","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.input","typeLabel":"object"},"output":{"oneOf":[{"type":"object","required":["favicon","markdown"],"properties":{"favicon":{"type":"string","format":"uri","description":"The URL of the website favicon.","example":"https://favicons.linkup.so?domain=docs.linkup.so","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.favicon","typeLabel":"string\u003curi>"},"markdown":{"type":"string","description":"The clean markdown version of the webpage.","example":"Get started for free, no credit card required...","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.markdown","typeLabel":"string"},"contentType":{"description":"The type of rawContent. Present only when rawContent is returned.","example":"html","type":"string","uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.contentType","typeLabel":"string"},"data":{"description":"Structured data extracted from the webpage. Present only when schema is provided; fields with no grounded value are omitted.","example":{"name":"Example product","price":49},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.data.additionalProperties","typeLabel":"any"},"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.data","typeLabel":"object"},"images":{"description":"List of images extracted from the webpage.","example":[{"alt":"Image 1","url":"https://example.com/image.jpg"},{"alt":"Image 2","url":"https://example.com/image2.jpg"}],"type":"array","items":{"type":"object","properties":{"alt":{"type":"string","description":"The alt text of the image.","example":"Image description","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.images.items.[INDEX].alt","typeLabel":"string"},"url":{"type":"string","description":"The URL of the image.","example":"https://example.com/image.jpg","format":"uri","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.images.items.[INDEX].url","typeLabel":"string\u003curi>"}},"required":["alt","url"],"additionalProperties":false,"id":"FetchImageOutput_Output","uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.images.items.[INDEX]","typeLabel":"object"},"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.images","typeLabel":"object[]"},"rawContent":{"description":"The raw page content.","example":"\u003c!DOCTYPE html>\u003chtml lang=\"en\">\u003chead>...\u003c/head>\u003cbody>...\u003c/body>\u003c/html>","type":"string","uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.rawContent","typeLabel":"string"},"rawHtml":{"deprecated":true,"description":"The raw HTML version of the webpage.","example":"\u003c!DOCTYPE html>\u003chtml lang=\"en\">\u003chead>...\u003c/head>\u003cbody>...\u003c/body>\u003c/html>","type":"string","uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0.rawHtml","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.0","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.output.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.output","typeLabel":"object | null"},"type":{"type":"string","const":"fetch","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.1.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["createdAt","error","id","status","updatedAt","input","output","type"],"properties":{"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task was created.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.createdAt","typeLabel":"string\u003cdate-time>"},"error":{"oneOf":[{"type":"string","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.error.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.error","typeLabel":"string | null"},"id":{"type":"string","description":"The unique identifier of the task.","example":"01234-abcd-56789","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.id","typeLabel":"string"},"status":{"type":"string","enum":["completed","failed","pending","processing"],"description":"The current status of the task.","example":"completed","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.status","typeLabel":"enum\u003cstring>"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task status was last updated.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.updatedAt","typeLabel":"string\u003cdate-time>"},"input":{"type":"object","properties":{"q":{"description":"The natural language question for which you want to retrieve context.","example":"What is Microsoft's 2024 revenue?","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input.q","typeLabel":"string"},"toDate":{"description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input.toDate","typeLabel":"string\u003cdate>"},"mode":{"default":"auto","description":"Pin the research agent mode. Omit to let the agent auto-classify per request based on the question.","enum":["answer","auto","investigate","research"],"type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input.mode","typeLabel":"enum\u003cstring>"},"outputType":{"type":"string","enum":["sourcedAnswer","structured"],"description":"The type of output you want to get. Use `structured` for a custom-formatted response defined by `structuredOutputSchema`.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input.outputType","typeLabel":"enum\u003cstring>"},"reasoningDepth":{"default":"L","description":"Pin the reasoning depth (S \u003c M \u003c L \u003c XL). Defaults to L when omitted. Higher depths trade latency for thoroughness.","enum":["L","M","S","XL"],"type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input.reasoningDepth","typeLabel":"enum\u003cstring>"},"excludeDomains":{"description":"The domains you want to exclude of the search. By default, don't restrict the search.","example":["wikipedia.org"],"type":"array","items":{"example":"wikipedia.org","type":"string","uniqueKey":"items.[INDEX].oneOf.2.input.excludeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.2.input.excludeDomains","typeLabel":"string[]"},"fromDate":{"description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"items.[INDEX].oneOf.2.input.fromDate","typeLabel":"string\u003cdate>"},"includeDomains":{"description":"The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.","example":["microsoft.com","agolution.com"],"maxItems":100,"type":"array","items":{"example":"microsoft.com","type":"string","uniqueKey":"items.[INDEX].oneOf.2.input.includeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].oneOf.2.input.includeDomains","typeLabel":"string[]"},"structuredOutputSchema":{"default":null,"format":"json","description":"Required only when `outputType` is `structured`. Provide a JSON schema object representing the desired response format. The root must be of type `object`.","type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"items.[INDEX].oneOf.2.input.structuredOutputSchema.additionalProperties","typeLabel":"any"},"uniqueKey":"items.[INDEX].oneOf.2.input.structuredOutputSchema","typeLabel":"object"}},"required":["q","toDate","mode","outputType","reasoningDepth"],"additionalProperties":false,"id":"ResearchTaskInput_Output","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.input","typeLabel":"object"},"output":{"oneOf":[{"type":"object","required":["answer","sources"],"example":{"answer":"**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....","sources":[{"favicon":"","name":"Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association","snippet":"Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.","url":"https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"},{"favicon":"","name":"Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki","snippet":"Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.","url":"https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"}]},"properties":{"answer":{"type":"string","description":"The answer to your question.","example":"Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.answer","typeLabel":"string"},"sources":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The title or name of the resource.","example":"Microsoft 2024 Annual Report","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX].name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the resource.","example":"https://www.microsoft.com/investor/reports/ar24/index.html","format":"uri","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX].url","typeLabel":"string\u003curi>"},"favicon":{"oneOf":[{"type":"string","description":"The favicon URL, if available.","format":"uri","const":"","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX].favicon.oneOf.0","typeLabel":"string\u003curi>"},{"type":"string","description":"The favicon URL, if available.","format":"uri","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX].favicon.oneOf.1","typeLabel":"string\u003curi>"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX].favicon","typeLabel":"string\u003curi>"},"snippet":{"type":"string","description":"Extracted text content associated with the source.","example":"Highlights from fiscal year 2024 compared with fiscal year 2023 included...","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX].snippet","typeLabel":"string"},"publishedAt":{"description":"The publication date of the resource, if available.","example":"2024-07-30","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX].publishedAt","typeLabel":"string\u003cdate>"}},"required":["name","url","favicon","snippet"],"additionalProperties":false,"id":"Source_Output","uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources.items.[INDEX]","typeLabel":"object"},"description":"List of sources used to answer the question.","example":[{"name":"Microsoft 2024 Annual Report","snippet":"Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.","url":"https://www.microsoft.com/investor/reports/ar24/index.html"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0.sources","typeLabel":"object[]"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.0","typeLabel":"object"},{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.1.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.1","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.output","typeLabel":"object · object · null"},"type":{"type":"string","const":"research","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.2.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.2","typeLabel":"object"},{"type":"object","description":"[BETA] Extract task output. The extract task type is in beta; its behavior and response shape may change.","required":["createdAt","error","id","status","updatedAt","input","output","type"],"properties":{"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task was created.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.createdAt","typeLabel":"string\u003cdate-time>"},"error":{"oneOf":[{"type":"string","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.error.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.error","typeLabel":"string | null"},"id":{"type":"string","description":"The unique identifier of the task.","example":"01234-abcd-56789","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.id","typeLabel":"string"},"status":{"type":"string","enum":["completed","failed","pending","processing"],"description":"The current status of the task.","example":"completed","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.status","typeLabel":"enum\u003cstring>"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task status was last updated.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.updatedAt","typeLabel":"string\u003cdate-time>"},"input":{"type":"object","properties":{"q":{"description":"[BETA] The natural-language query describing which rows to extract and what each row should contain.","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.input.q","typeLabel":"string"},"url":{"description":"[BETA] The seed URL the extract task should start from.","example":"https://example.com/team","format":"uri","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.input.url","typeLabel":"string\u003curi>"},"schema":{"default":null,"format":"json","description":"[BETA] Optional JSON schema object describing a single extracted row. When provided, every returned row must match this schema.","type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"items.[INDEX].oneOf.3.input.schema.additionalProperties","typeLabel":"any"},"uniqueKey":"items.[INDEX].oneOf.3.input.schema","typeLabel":"object"},"verifyUrls":{"default":false,"description":"[BETA] Defines whether URLs found in extracted rows should be checked for reachability after extraction. Defaults to false.","type":"boolean","uniqueKey":"items.[INDEX].oneOf.3.input.verifyUrls","typeLabel":"boolean"}},"required":["q","url"],"additionalProperties":false,"description":"[BETA] Input for an extract task. The extract task type is in beta; its behavior and response shape may change.","id":"ExtractTaskInput_Output","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.input","typeLabel":"object"},"output":{"oneOf":[{"type":"object","description":"[BETA] Output for an extract task. The extracted rows are stored as an NDJSON file and exposed through a time-limited URL. The extract task type is in beta; its behavior and response shape may change.","required":["creditsUsed","resultUrl","rowsReturned"],"properties":{"creditsUsed":{"type":"number","minimum":0,"description":"[BETA] Credits used by this extract task.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.output.oneOf.0.creditsUsed","typeLabel":"number"},"resultUrl":{"type":"string","format":"uri","description":"[BETA] URL to download the extracted rows as a newline-delimited JSON (NDJSON) file. The URL remains valid for 24 hours.","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.output.oneOf.0.resultUrl","typeLabel":"string\u003curi>"},"rowsReturned":{"type":"integer","minimum":0,"maximum":9007199254740991,"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.output.oneOf.0.rowsReturned","typeLabel":"integer"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.output.oneOf.0","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.output.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.output","typeLabel":"object | null"},"type":{"type":"string","const":"extract","isRequired":true,"uniqueKey":"items.[INDEX].oneOf.3.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].oneOf.3","typeLabel":"object"}],"uniqueKey":"items.[INDEX]","typeLabel":"object"},"id":"PostTasksOutput_Output","uniqueKey":"","typeLabel":"object[]"},"examples":{"Example":{"title":"Example","value":[{"createdAt":"2026-01-01T00:00:00.000Z","error":"\u003cstring>","id":"01234-abcd-56789","status":"completed","updatedAt":"2026-01-01T00:00:00.000Z","input":{"q":"What is Microsoft's 2024 revenue?","toDate":"2025-01-01","depth":"deep","includeImages":false,"includeInlineCitations":false,"includeSources":false,"outputType":"searchResults","excludeDomains":["wikipedia.org"],"fromDate":"2025-01-01","includeDomains":["microsoft.com","agolution.com"],"structuredOutputSchema":null,"maxResults":5},"output":{"answer":"Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.","sources":[{"name":"Microsoft 2024 Annual Report","snippet":"Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.","url":"https://www.microsoft.com/investor/reports/ar24/index.html"}]},"type":"search"}]}},"exampleType":"generated"}},"exampleType":"generated"},"cd19253d-a707-4d4e-a556-32556afc06d4":{"description":"Bad Request - Invalid parameters","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"1339491c-71f7-4b59-bdcd-13f72622e5c3":{"description":"Unauthorized - Invalid or missing API key","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"2215527b-db40-4d17-9edb-167b4312ff51":{"description":"Too Many Requests - Rate limit exceeded or insufficient credits","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"3130ac06-1857-4ed4-a9cd-0d6b093c3a64":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[],"schemeName":"bearer"}}},"servers":{"190f1c10-3447-450f-b531-eb421a2db0b8":{"url":"https://api.linkup.so"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[],"schemeName":"bearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://api.linkup.so/v1/openapi.json"},"subdomain":"linkup-8b5c238e","siteName":"Linkup API Documentation","title":"/tasks - Linkup API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-12T15:55:02.777Z","originalFileLocation":"pages/documentation/endpoints/tasks/post.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"The /tasks endpoint allows you to run Linkup\u0026#x27;s /search, /fetch, and /research calls in batch and asynchronously.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Linkup API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons
[...]
